[gnome-continuous-yocto/gnomeostree-3.28-rocko: 5686/8267] oe-run-native: print more error messages
- From: Emmanuele Bassi <ebassi src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-continuous-yocto/gnomeostree-3.28-rocko: 5686/8267] oe-run-native: print more error messages
- Date: Sun, 17 Dec 2017 03:47:17 +0000 (UTC)
commit 1fa1a7f174593e41b8bcf6c2f19565d6da44e991
Author: Robert Yang <liezhi yang windriver com>
Date: Fri Apr 14 02:22:25 2017 -0700
oe-run-native: print more error messages
Fixed:
$ bitbake bmap-tools-native -ccleansstate && bitbake bmap-tools-native && oe-run-native bmap-tools-native
bmaptool --help
[snip]
Error: Unable to find '' in <PATH>
[snip]
Note the blank '' word, it was because "tools" was overrided, now fix it.
And also check whether the recipe is a native one or not.
(From OE-Core rev: ba2884f6ad3a4e746fc80cbd707f83fa8abd4210)
Signed-off-by: Robert Yang <liezhi yang windriver com>
Signed-off-by: Richard Purdie <richard purdie linuxfoundation org>
scripts/oe-run-native | 14 +++++++++++---
1 files changed, 11 insertions(+), 3 deletions(-)
---
diff --git a/scripts/oe-run-native b/scripts/oe-run-native
index 12f7ce6..1131122 100755
--- a/scripts/oe-run-native
+++ b/scripts/oe-run-native
@@ -22,7 +22,7 @@
#
if [ $# -lt 1 -o "$1" = '--help' -o "$1" = '-h' ] ; then
- echo 'oe-run-native: error: the following arguments are required: <native recipe> <native tool>'
+ echo 'oe-run-native: the following arguments are required: <native recipe> <native tool>'
echo 'Usage: oe-run-native native-recipe tool [parameters]'
echo ''
echo 'OpenEmbedded run-native - runs native tools'
@@ -36,6 +36,13 @@ fi
native_recipe="$1"
tool="$2"
+
+if [ "${native_recipe%-native}" = "$native_recipe" ]; then
+ echo Error: $native_recipe is not a native recipe
+ echo Error: Use \"oe-run-native -h\" for help
+ exit 1
+fi
+
shift
SYSROOT_SETUP_SCRIPT=`which oe-find-native-sysroot 2> /dev/null`
@@ -49,12 +56,13 @@ OLD_PATH=$PATH
# look for a tool only in native sysroot
PATH=$OECORE_NATIVE_SYSROOT/usr/bin:$OECORE_NATIVE_SYSROOT/bin:$OECORE_NATIVE_SYSROOT/usr/sbin:$OECORE_NATIVE_SYSROOT/sbin
-tool=`/usr/bin/which $tool 2>/dev/null`
+tool_find=`/usr/bin/which $tool 2>/dev/null`
-if [ -n "$tool" ] ; then
+if [ -n "$tool_find" ] ; then
# add old path to allow usage of host tools
PATH=$PATH:$OLD_PATH $@
else
echo "Error: Unable to find '$tool' in $PATH"
+ echo "Error: Have you run 'bitbake $native_recipe -caddto_recipe_sysroot'?"
exit 1
fi
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]